clang 8.0.0

Public Member Functions | List of all members
clang::Sema::SynthesizedFunctionScope Class Reference

RAII object to handle the state changes required to synthesize a function body. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| SynthesizedFunctionScope (Sema &S, DeclContext *DC)
void | addContextNote (SourceLocation UseLoc)
| ~SynthesizedFunctionScope ()

## Detailed Description

RAII object to handle the state changes required to synthesize a function body.

Definition at line 762 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ SynthesizedFunctionScope()

clang::Sema::SynthesizedFunctionScope::SynthesizedFunctionScope | ( | Sema & | S,
|  | DeclContext * | DC
| ) |  |
| inline

Definition at line 768 of file Sema.h.

References clang::Sema::PushExpressionEvaluationContext(), and clang::Sema::PushFunctionScope().

## ◆ ~SynthesizedFunctionScope()

clang::Sema::SynthesizedFunctionScope::~SynthesizedFunctionScope | ( |  | ) |
| inline

Definition at line 791 of file Sema.h.

References clang::Sema::CurContext, clang::Sema::popCodeSynthesisContext(), clang::Sema::PopExpressionEvaluationContext(), and clang::Sema::PopFunctionScopeInfo().

## Member Function Documentation

## ◆ addContextNote()

void clang::Sema::SynthesizedFunctionScope::addContextNote | ( | SourceLocation | UseLoc | ) |
| inline

Definition at line 779 of file Sema.h.

References clang::Sema::CurContext, clang::Sema::CodeSynthesisContext::Entity, clang::Sema::CodeSynthesisContext::Kind, clang::Sema::CodeSynthesisContext::PointOfInstantiation, and clang::Sema::pushCodeSynthesisContext().

Referenced by clang::Sema::DefineImplicitCopyAssignment(), clang::Sema::DefineImplicitCopyConstructor(), clang::Sema::DefineImplicitDefaultConstructor(), clang::Sema::DefineImplicitDestructor(), clang::Sema::DefineImplicitMoveAssignment(), clang::Sema::DefineImplicitMoveConstructor(), and clang::Sema::DefineInheritingConstructor().

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h